=== debian/changelog ===
ros-indigo-camera1394 (1.10.0-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 01 Sep 2014 05:00:00 -0000

ros-indigo-camera1394 (1.9.5-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 29 Apr 2014 05:00:00 -0000

ros-indigo-camera1394 (1.9.4-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 03 Aug 2013 05:00:00 -0000

ros-indigo-camera1394 (1.9.3-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 05 Jun 2013 05:00:00 -0000

ros-indigo-camera1394 (1.9.2-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 13 May 2013 05:00:00 -0000

ros-indigo-camera1394 (1.9.1-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 14 Apr 2013 05:00:00 -0000

ros-indigo-camera1394 (1.9.0-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 12 Apr 2013 05:00:00 -0000

ros-indigo-camera1394 (1.8.1-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 01 Mar 2013 06:00:00 -0000

ros-indigo-camera1394 (1.8.0-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 14 Mar 2012 05:00:00 -0000

ros-indigo-camera1394 (1.7.0-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 14 Dec 2011 06:00:00 -0000

ros-indigo-camera1394 (1.6.0-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 20 Jul 2011 05:00:00 -0000

ros-indigo-camera1394 (1.4.2-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 06 Jun 2011 05:00:00 -0000

ros-indigo-camera1394 (1.4.1-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 09 Feb 2011 06:00:00 -0000

ros-indigo-camera1394 (1.4.0-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 31 Jan 2011 06:00:00 -0000

ros-indigo-camera1394 (1.2.8-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 09 Feb 2011 06:00:00 -0000

ros-indigo-camera1394 (1.2.5-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 28 Oct 2010 05:00:00 -0000

ros-indigo-camera1394 (1.2.0-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 23 Jul 2010 05:00:00 -0000
